# SourcePath: devmem2/20190625 
Summary: Simple program to read/write from/to any location in memory. 
Name: sony-target-dev-devmem2 
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-devmem2 
Version: 1.0 
Release: 14020101
URL: https://download.atmark-techno.com/misc/accessing-any-address/ 
Source0: devmem2.tar.gz 
Patch0:  devmem2-fixups-2.patch 
License: GPLv2
Group: %{sony_group} 
Distribution: %{sony_distribution} 
Vendor: %{sony_vendor} 
Packager: %{sony_packager} 
BuildRoot: %{_tmppath}/%{name}-root 
Prefix: %{sony_target_dir} 

%description 
This is a simple program to read/write from/to any location in memory. 
It can read or write a byte, halfword or word of memory at a time. 
Care should be taken to properly align addresses to their appropriate 
boundary when running on processors that care about such things.
 
%package -n %{pkgname} 
Summary: Simple program to read/write from/to any location in memory. 
Group: %{sony_group} 
AutoReqProv: no 

%description -n %{pkgname} 
This is a simple program to read/write from/to any location in memory. 
It can read or write a byte, halfword or word of memory at a time. 
Care should be taken to properly align addresses to their appropriate 
boundary when running on processors that care about such things. 

%prep 
%setup -n devmem2 
%patch0 -p1 

%build 
%sony_target_dev_setup 
make CC="$CC" CFLAGS="-DFORCE_STRICT_ALIGNMENT"  

%install 
%sony_target_dev_setup 
rm -rf %{buildroot} 
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir} 
install -m 755 -d %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir} 
cp -r devmem2 %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/ 

%clean 
rm -rf %{buildroot} 

%files -n %{pkgname} 
%defattr(-,root,root) 
%{sony_target_dir}/* 

%changelog 
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Thu Mar 19 2020 Sony Corporation
- Updated license to GPLv2

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Thu May 23 2019 Sony Corporation 
- Initial build for CE-Linux-14.2.0.x. 

